Subject: bug#30186: 27.0.50; Password is not hidden in read-passwd

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Jan 2018 11:40:36 +0200

> Date: Fri, 26 Jan 2018 20:00:27 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> Do you have any opinion on my suggestion:
> 
> > > Perhaps an alternative would be for Emacs to provide a flag which
> > > indicates to a before/after-change-function whether the current
> > > change is a "proper" change or merely a text property change.
> > > Change hook functions could then test this flag and, for example,
> > > refrain from doing anything for a text property change.

I'm not sure it would be possible to provide such a flag.  Did you
look at the internals involved, and if so, can you tell where do we
know which kind of change caused the hooks to run?

I also don't understand the problem you have in CC Mode with
text-property changes.  Can you elaborate on that?